{% load static %}
<form class="filter-form"
      action="{{ request.path_info }}"
      hx-boost="true"
      hx-target="#list-results"
      hx-trigger="submit, change delay:500ms"
      hx-indicator=".filter-hx-indicator">
    <div class="filter-form__query">
        <label for="query">{{ search_label }}</label>
        <div class="search-field">
            <input class="input-field text-lg" id="query"
                   type="search"
                   name="q"
                   value="{{ form.search_text }}"
                   placeholder="Voer een zoekterm in">
            <svg viewBox="0 0 12 12">
                <path d="M8.576 7.547h-.542l-.192-.185A4.44 4.44 0 0 0 8.92 4.46a4.46 4.46 0 1 0-4.46 4.46 4.44 4.44 0 0 0 2.903-1.078l.185.192v.542L10.977 12 12 10.978l-3.424-3.43zm-4.116 0A3.083 3.083 0 0 1 1.372 4.46 3.083 3.083 0 0 1 4.46 1.372 3.083 3.083 0 0 1 7.547 4.46 3.083 3.083 0 0 1 4.46 7.547z" fill="#757575" fill-rule="nonzero">
                </path>
            </svg>
            {% if form.topic %}
            <div class="filter-form__query__topic">
                <input name="thema" value="{{ form.topic }}" type="hidden">
                <a href="{{ request.path_info }}{{ form.topic_remove_query }}" class="pill pill--white pill--clickable pill--lg">{{ form.topic }} <span class="pill__close">&#x2715</span></a>
            </div>
            {% endif %}
        </div>
        <button class="button filter-form__filter-toggle js-click-to-toggle"
                aria-expanded="false"
                data-label-target-hidden="Verberg filters"
                data-label-target-shown="Toon filters"
                aria-controls="js-filters"
                type="button">Toon filters</button>
    </div>
    <div id="js-filters" class="filter-form-wrapper">
        <div class="filter-form__facets">
            {% for field_name, field in form.fields.items %}
                <div class="filter-form__facets__facet" id="js-list-{{field_name}}">
                    <h3 class="mb-2">{{ field.label }}</h3>
                    <ul class="checkbox-list mt-0 mb-4" >
                        {% for option in field.options %}
                            <li class="checkbox-list__option {% if forloop.counter > 10 %}checkbox-list__option--hidden-initially{% endif %}"
                                {% if not option.count %}aria-disabled="true"{% endif %}>
                                <input id="{{ field_name }}_{{ option.value }}"
                                    name="{{ field_name }}"
                                    value="{{ option.value }}"
                                    type="checkbox"
                                    {% if option.selected and option.count %}checked{% endif %}
                                    {% if not option.count %}disabled{% endif %}>
                                <label for="{{ field_name }}_{{ option.value }}">
                                    {{ option.label }} <small>({{ option.count }})</small>
                                </label>
                            </li>
                        {% endfor %}
                    </ul>
                    {% if field.options|length > 10 %}
                        <button type="button" class="filter-form__facets__facet__show-more-button js-mutate-classname-of-target mb-4"
                            aria-controls="js-list-{{ field_name }}"
                            data-css-classname="filter-form__facets__facet--collapsed"
                            data-action="add"
                            href="#">
                            <svg class="icon icon--sm mr-3">
                                <use href="{% static 'images/icons/tabler-sprite.svg' %}#tabler-caret-down-filled" />
                            </svg>
                            Meer opties
                        </button>
                    {% endif %}
                    {% if field.options|length > 10 %}
                        <button type="button" class="filter-form__facets__facet__show-less-button js-mutate-classname-of-target mb-4"
                            aria-controls="js-list-{{ field_name }}"
                            data-css-classname="filter-form__facets__facet--collapsed"
                            data-action="remove"
                            href="#">
                            <svg class="icon icon--sm mr-3">
                                <use href="{% static 'images/icons/tabler-sprite.svg' %}#tabler-caret-up-filled" />
                            </svg>
                            Minder opties
                        </button>
                    {% endif %}
                </div>
            {% endfor %}
        </div>
        <button type="submit" class="button mt-4 w-100">Filter</button>
    </div>
</form>
